ProFTPD < 1.3.2rc3 ABOR Denial of Service

Medium Nessus Plugin ID 106751

Synopsis

The remote FTP server is affected by a Denial of Service vulnerability.

Description

The remote host is using ProFTPD, a free FTP server for Unix and Linux.
According to its banner, the version of ProFTPD installed on the remote host is earlier than 1.3.2rc3 and is affected by a Denial of Service vulnerability via an ABOR command during a data transfer.

Solution

Upgrade to ProFTPD version 1.3.2rc3 or later.

See Also

http://bugs.proftpd.org/show_bug.cgi?id=3131

http://www.debian.org/security/2011/dsa-2191

Plugin Details

Severity: Medium

ID: 106751

File Name: proftpd_1_3_2_rc3.nasl

Version: Revision: 1.1

Type: remote

Family: FTP

Published: 2018/02/12

Modified: 2018/02/12

Dependencies: 10084, 10092

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P

CVSSv3

Base Score: 4.3

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L

Vulnerability Information

CPE: cpe:/a:proftpd:proftpd

Required KB Items: ftp/proftpd, Settings/ParanoidReport

Patch Publication Date: 2008/11/14

Vulnerability Publication Date: 2008/11/11

Reference Information

CVE: CVE-2008-7265

BID: 84378